MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000689XdebugUsage problems (Wrong Results)public2011-04-29 17:502011-08-13 16:19
Reporternnmatveev 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000689: Access method of not yet defined variable aborts debug session
DescriptionThe issue makes 'watches' in PhpStorm(and I suppose that it is actual for other IDEs too) unusable.
Steps To Reproduce<?php
echo "";//breakpoint here
echo "";

--
Stop at breakpoint, evaluate expression: "$a->foo()", step over.
Additional Informationhttp://youtrack.jetbrains.net/issue/WI-5927 [^]

Probably related to http://bugs.xdebug.org/view.php?id=688 [^]
TagsNo tags attached.
Operating System
PHP Version5.3.6
Attached Fileslog file icon xdebug.log [^] (8,006 bytes) 2011-04-29 17:50

- Relationships

-  Notes
(0001778)
derick (administrator)
2011-08-13 16:19

Fixed for 2.1.3 and 2.2dev.

- Issue History
Date Modified Username Field Change
2011-04-29 17:50 nnmatveev New Issue
2011-04-29 17:50 nnmatveev File Added: xdebug.log
2011-08-13 16:19 derick Note Added: 0001778
2011-08-13 16:19 derick Status new => closed
2011-08-13 16:19 derick Assigned To => derick
2011-08-13 16:19 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker